%define version 0.1.12
%define release 1mdk

Summary:	GUI Frontend of Go, Amazons and Othello
Name:		quarry
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
URL:		http://home.gna.org/quarry/
Source0:	http://download.gna.org/%{name}/%{name}-%{version}.tar.gz
Source1:	http://download.gna.org/%{name}/%{name}-%{version}.tar.gz.sig
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk+2-devel
BuildRequires:	librsvg2-devel
BuildRequires:	scrollkeeper
Prereq:		scrollkeeper

%description
Quarry is a multi-purpose GUI for several board games, at present Go,
Amazons and Othello. It allows users to play against computer players
(third-party programs, e.g. GNU Go) or other humans, view and edit
game records. Future versions will also support Internet game servers
(like NNGS, a Go server) and provide certain features for developers
of board game-playing engines for enhancing their programs.


%prep
%setup -q

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_gamesbindir}/%{name}" \
 icon="strategy_section.png" \
 longtitle="Universal board game interface" \
 needs="x11" \
 section="More Applications/Games/Boards" \
 title="Quarry"
_EOF_

#find_lang %{name} --with-gnome

%post
%update_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%postun
%clean_menus
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q; fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_gamesbindir}/*
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_menudir}/%{name}

%changelog
* Fri Mar 11 2005 Abel Cheung <deaddog@mandrake.org> 0.1.12-1mdk
- New release 0.1.12

* Wed Dec 29 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.1.10-1mdk
- New release 0.1.10

* Sat Nov 20 2004 Abel Cheung <deaddog@mandrake.org> 0.1.9-1mdk
- First Mandrake package
